﻿var categories = {
	"mastercategories":[
   {
	   "index": 0,
   "description": "OBRDEP Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\OBRDEP Service API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
	   "name": "Overview"
   },
   {
	   "index": 1,
	   "description": "",
	   "name": "Configurations"
   },
   {
	   "index": 2,
	   "description": "",
	   "name": "Deposit Account Services"
   },
   {
	   "index": 3,
	   "description": "",
	   "name": "Deposit Transaction Services"
   },
   
   {
	   "index": 4,
	   "description": "",
	   "name": "Deposit Enquiry Services"
   },
   {
	   "index": 5,
	   "description": "",
	   "name": "Deposit Integrations Services"
   },
   {
       "index": 6,
   	   "description": "",
   	   "name": "Deposit Maturity Calculation Services"
   },
   {
	"index": 7,
	"description": "",
	"name": "Interest Product"
	}
   // {
   //     "index": 6,
   // 	"description": "",
   //     "name": "Deposit Business Product Services"
   // },
   // {
   //     "index": 7,
   // 	"description": "",
   //     "name": "Deposit Penalty Parameter Configuration"
   // },
   // {
   //     "index": 8,
   // 	"description": "",
   //     "name": "Deposit State Group Parameter Configuration"
   // },
   // {
   //     "index": 9,
   // 	"description": "",
   //     "name": "Deposit State Group Mapping Configuration"
   // }
   ]
   };
   var subCategories = {
	   "list":[
	   {
		   "index": 1,
		   "yaml": "OBRDEP/obrdep-txn-pp-online-services/api/icdRedmn.yaml",
		   "description": "This service is used to perform online Redemption operation.",
		   "parentcategory": "Deposit Transaction Services",
		   "displayName": "Redemption"
	   },
	   {
		   "index": 2,
		   "yaml": "OBRDEP/obrdep-txn-pp-online-services/api/icdTopup.yaml",
		   "description": "This service is used to perform online Top-Up operation.",
		   "parentcategory": "Deposit Transaction Services",
		   "displayName": "Top-up"
	   },
	   {
		   "index": 3,
		   "yaml": "OBRDEP/obrdep-txn-pp-online-services/api/icdAmtBlk.yaml",
		   "description": "This service is used to place Amount Block on deposit.",
		   "parentcategory": "Deposit Transaction Services",
		   "displayName": "Amount Block"
	   },
	//    {
	// 	   "index": 4,
	// 	   "yaml": "OBRDEP/obrdep-txn-pp-online-services/api/icdRenewal.yaml",
	// 	   "description": "This service is used to perform online operations such as Redemption, Topup, Amount Blocks and Manual renewal/rollover",
	// 	   "parentcategory": "Deposit Transaction Services",
	// 	   "displayName": "Renewal"
	//    },
	   {
		   "index": 4,
		   "yaml": "OBRDEP/obrdep-pp-deposit-account-services/api/termdepositServiceApiAggregate.yaml",
		   "description": "This service is used to create Deposit Accounts, Business Products and Payin Maintenances",
		   "parentcategory": "Deposit Account Services",
		   "displayName": "Deposit Account Services"
	   },
	   {
		   "index": 5,
		   "yaml": "OBRDEP/obrdep-txn-pp-online-services/api/queryService.yaml",
		   "description": "This service is used to query the details of Deposit Accounts, Business Products and Payin Maintenances",
		   "parentcategory": "Deposit Enquiry Services",
		   "displayName": "Deposit Enquiry Services"
	   },
	   {
		   "index": 6,
		   "yaml": "OBRDEP/obrdep-txn-pp-integration-services/api/tdcertificates.yaml",
		   "description": "Deposit Integrations Services",
		   "parentcategory": "Deposit Integrations Services",
		   "displayName": "Deposit Integrations Services"
	   },
	   {
		   "index": 7,
		   "yaml": "OBRDEP/obrdep-pp-deposit-maint-services/api/tdpayServiceAggregate.yaml",
		   "description": "Deposit Pay-in maintenance services",
		   "parentcategory": "Configurations",
		   "displayName": "Deposit Pay-in maintenance services"
	   },
	   {
		   "index": 8,
		   "yaml": "OBRDEP/obrdep-pp-businessproduct-services/api/accountclassAggregate.yaml",
		   "description": "Deposit Business Product",
		   "parentcategory": "Configurations",
		   "displayName": "Deposit Business Product Services"
	   },
	   {
		   "index": 9,
		   "yaml": "OBRDEP/obrdep-pp-deposit-maint-services/api/tdpenaltybasisServiceAggregate.yaml",
		   "description": "Deposit Penalty Parameter Configuration",
		   "parentcategory": "Configurations",
		   "displayName": "Deposit Penalty Parameter Configuration"
	   },
	   {
		   "index": 10,
		   "yaml": "OBRDEP/obrdep-pp-deposit-maint-services/api/tdstategroupparamServiceAggregate.yaml",
		   "description": "Deposit State Group Parameter Configuration",
		   "parentcategory": "Configurations",
		   "displayName": "Deposit State Group Parameter Configuration"
	   },
	   {
		   "index": 11,
		   "yaml": "OBRDEP/obrdep-pp-deposit-maint-services/api/tdstategroupmapServiceAggregate.yaml",
		   "description": "Deposit State Group Mapping	Configuration",
		   "parentcategory": "Configurations",
		   "displayName": "Deposit State Group Mapping	Configuration"
	   },
	//    {
	// 	"index": 12,
	// 	"yaml": "OBRDEP/obrdep-pp-businessproduct-services/api/iraProductServiceAggregate.yaml",
	// 	"description": "Deposit IRA Product	Configuration",
	// 	"parentcategory": "Configurations",
	// 	"displayName": "Deposit IRA Product	Configuration"
	// 	},
		{
		"index": 12,
        "yaml": "OBRDEP/obrdep-pp-matcalc-batch-services/api/matcalcCompute.yaml",
        "description": "Deposit Maturity Calculation Services",
        "parentcategory": "Deposit Maturity Calculation Services",
        "displayName": "Deposit Maturity Calculation Services"
		},
	   {
		"index": 13,
		"yaml": "OBRDEP/obrdep-pp-deposit-maint-services/api/ICProductCreate.yml",
		"description": "Deposit Interest Product",
		"parentcategory": "Interest Product",
		"displayName": "Deposit Interest Product"
		}
	   ]
   }
   